org.eclipse.wst.jsdt.ui.actions

## Class OpenProjectAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction
    - - org.eclipse.wst.jsdt.ui.actions.OpenProjectAction

    public class OpenProjectAction
    extends SelectionDispatchAction

Action to open a closed project. Action either opens the closed projects provided by the structured selection or presents a dialog from which the user can select the projects to be opened.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`OpenProjectAction(IWorkbenchSite site)` Creates a new `OpenProjectAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `resourceChanged(IResourceChangeEvent event)`
`void` `run(ISelection selection)` Executes this actions with the given selection.
`void` `run(IStructuredSelection selection)` Executes this actions with the given selection.
`void` `selectionChanged(ISelection selection)`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, setSpecialSelectionProvider, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenProjectAction

    public OpenProjectAction(IWorkbenchSite site)

Creates a new `OpenProjectAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

### Method Detail

#### resourceChanged

    public void resourceChanged(IResourceChangeEvent event)

#### selectionChanged

    public void selectionChanged(ISelection selection)

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`

#### run

    public void run(ISelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### run

    public void run(IStructuredSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection